import { InterfaceAdapter, BlockType } from "../types";
import Config from "@truffle/config";
import { Provider } from "web3/providers";
import { TezosToolkit, SetProviderOptions } from "@taquito/taquito";
export interface TezosAdapterOptions {
    provider?: Provider;
    networkType?: string;
    config?: SetProviderOptions["config"];
}
export declare class TezosAdapter implements InterfaceAdapter {
    tezos: TezosToolkit;
    constructor({ provider, config }: TezosAdapterOptions);
    getNetworkId(): Promise<string>;
    getBlock(blockNumber: BlockType): Promise<import("@taquito/rpc").BlockHeaderResponse>;
    getTransaction(tx: string): Promise<void>;
    getTransactionReceipt(tx: string): Promise<void>;
    getBalance(address: string): Promise<string>;
    getCode(address: string): Promise<string>;
    getAccounts(config: Config): Promise<string[]>;
    estimateGas(transactionConfig: any): Promise<number>;
    getBlockNumber(): Promise<number>;
    setProvider(provider: Provider, config?: SetProviderOptions["config"]): void;
    setWallet(config: Config): Promise<void>;
}
